local image = love.graphics.newImage('img/laser_cannon.png')
image:setFilter('nearest', 'nearest')

function newLaserCannon(x, y)
  local lc = newAnimatedEntity(image, x, y, 8)
    lc.addAnimation('locked', 0)   lc.addFrames('locked', 0,  0, 16, 16, 1)
    lc.addAnimation('deploy', 0.1) lc.addFrames('deploy', 0, 16, 16, 16, 9)
    lc.addAnimation('roll',   0.1) lc.addFrames('roll',   0, 32, 16, 16, 5)

    lc.setAnimation('locked')
  return lc
end
