local image = love.graphics.newImage('img/power_up.png')
image:setFilter('nearest', 'nearest')
local sound = love.audio.newSource('sfx/power_up.ogg', 'static')

function newPowerUp(x, y)
  local pw = newAnimatedEntity(image, x, y, 4)
    pw.addAnimation('spin', 0.07)
    pw.addFrames('spin', 0, 0, 9, 12, 14)
    pw.setAnimation('spin')
    pw.obtained = false
    pw.sound = sound:clone()
  return pw
end
